'compatible' Fortran compiler?

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

'compatible' Fortran compiler?

Alvin Garcia-2
Hello,
        I am trying to build Octave from source (octave-ss-960510) and I get
the following error when I run the configure script:

------------------------------------------------------------------------------
checking for xlf... no
checking for cf77... no
checking for f77... f77
checking for Fortran libraries...  -u _MAIN_ -L/usr/lang/SC1.0/cg87 -L/usr/lang/SC1.0 -lF77
checking whether f77 uses uppercase external names... no
checking whether f77 appends underscores to external names... yes
checking f77/f2c compatibility... no
checking for f2c... no
configure: warning: in order to build octave, you must have a compatible
configure: warning: Fortran compiler or f2c installed and in your path.
configure: error: See the file INSTALL for more information.
------------------------------------------------------------------------------

I was wondering what constitutes a 'compatible' Fortran compiler.  I am
trying to build under SunOS 4.1.3 with gcc 2.6.3, and the only Fortran
compiler I have available is Sun's f77.  

Thanks for any suggestions.

-Alvin